Skip to content

Retrieve a work item type ​

GET/api/v1/workspaces/{workspace_slug}/projects/{project_id}/work-item-types/{type_id}/

Retrieve an issue type by id

Path Parameters ​

project_id:requiredstring

The unique identifier of the project.

workspace_slug:requiredstring

The workspace_slug represents the unique workspace identifier for a workspace in Plane. It can be found in the URL. For example, in the URL https://app.plane.so/my-team/projects/, the workspace slug is my-team.

type_id:requiredstring

The unique identifier of the work item type.

Scopes ​

projects.work_item_types:read

Retrieve a work item type
bash
curl -X GET \
  "https://api.plane.so/api/v1/workspaces/my-workspace/projects/project-uuid/work-item-types/type-uuid/" \
  -H "X-API-Key: $PLANE_API_KEY" \
  # Or use -H "Authorization: Bearer $PLANE_OAUTH_TOKEN"
Response200
json
{
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "created_at": "2024-01-01T00:00:00Z",
  "updated_at": "2024-01-01T00:00:00Z",
  "name": "Example Name",
  "description": "Example description",
  "deleted_at": "2024-01-01T00:00:00Z",
  "project_ids": ["550e8400-e29b-41d4-a716-446655440000"],
  "logo_props": "example-value",
  "is_epic": true,
  "is_default": true,
  "is_active": true,
  "level": 1
}